## xdg-desktop-portal-kde 6.3.1

=== debian/changelog ===
xdg-desktop-portal-kde (6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:27:26 +0000

xdg-desktop-portal-kde (6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:59:15 +0000

xdg-desktop-portal-kde (6.2.91-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 03:45:38 -0600

=== debian/control ===
Source: xdg-desktop-portal-kde
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               kwayland-dev (>= 4:6.3.1~),
               libcups2-dev,
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6crash-dev (>= 6.10.0~),
               libkf6globalaccel-dev (>= 6.10.0~),
               libkf6guiaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6iconthemes-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6statusnotifieritem-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libkirigami-dev (>= 6.10.0~),
               libwayland-dev (>= 1.15~),
               plasma-wayland-protocols (>= 1.7.0~),
               qt6-base-dev (>= 6.7.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0+dfsg~),
               qt6-wayland-dev (>= 6.7.0~),
               wayland-protocols (>= 1.25~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/xdg-desktop-portal-kde
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
Rules-Requires-Root: no

Package: xdg-desktop-portal-kde
Architecture: any
Multi-Arch: foreign
Depends: kio-fuse,
         qml6-module-org-kde-iconthemes,
         xdg-desktop-portal,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: xdg-desktop-portal-backend,
Description: backend implementation for xdg-desktop-portal using Qt
 xdg-desktop-portal-kde provides a Qt implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using KDE
 GUIs (app chooser, file chooser, print dialog) or using KDE services
 (session manager, screenshot provider).

## xdg-desktop-portal-kde 6.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(CMAKE_C_STANDARD 99)

set(PROJECT_VERSION "6.3.2")
set(PROJECT_VERSION_MAJOR 6)

project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})

set(PROJECT_DEP_VERSION "6.3.2")
set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

################# set KDE specific information #################

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMSetupVersion)
include(ECMConfiguredInstall)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMFindQmlModule)
include(ECMDeprecationSettings)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Concurrent
    DBus
    PrintSupport
    QuickWidgets
    Widgets
    WaylandClient
    Quick
    QuickControls2
    Qml
    Test
)
find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS WaylandClient)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED
    CoreAddons
    Config
    I18n
    GuiAddons
    GlobalAccel
    KIO
    Kirigami
    Notifications
    Service
    WidgetsAddons
    WindowSystem
    IconThemes
    StatusNotifierItem
    Crash
)

find_package(KWayland ${PROJECT_DEP_VERSION} REQUIRED)

ecm_find_qmlmodule(org.kde.iconthemes 1.0)
ecm_find_qmlmodule(org.kde.plasma.workspace.dialogs 1.0)
find_package(Wayland 1.15 REQUIRED COMPONENTS Client)
find_package(PlasmaWaylandProtocols 1.7.0 REQUIRED)

find_package(WaylandProtocols 1.25)
set_package_properties(WaylandProtocols PROPERTIES
    TYPE REQUIRED
    PURPOSE "Collection of Wayland protocols that add functionality not available in the Wayland core protocol"
    URL "https://gitlab.freedesktop.org/wayland/wayland-protocols/"
)

find_package(KIOFuse)
set_package_properties(KIOFuse PROPERTIES
    URL https://commits.kde.org/system/kio-fuse
    TYPE RUNTIME
    PURPOSE "Automatic mounting of remote URLs")

pkg_check_modules(XKB IMPORTED_TARGET xkbcommon REQUIRED)
add_feature_info(XKB XKB_FOUND "Required for converting keysyms into keycodes")

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX XDPK
    VERSION_HEADER ${CMAKE_BINARY_DIR}/version.h)

ecm_set_disabled_deprecation_versions(QT 5.15.0
    KF 6.4.0
)

add_subdirectory(data)
add_subdirectory(src)
add_subdirectory(autotests)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
xdg-desktop-portal-kde (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 05 Mar 2025 08:55:07 +0000

xdg-desktop-portal-kde (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:53:33 +0100

xdg-desktop-portal-kde (6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:19:48 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
-               kwayland-dev (>= 4:6.3.1~),
+               kwayland-dev (>= 4:6.3.2~),
                libcups2-dev,
                libkf6config-dev (>= 6.10.0~),
                libkf6coreaddons-dev (>= 6.10.0~),
@@ -30,8 +30,8 @@
                libkirigami-dev (>= 6.10.0~),
                libwayland-dev (>= 1.15~),
                plasma-wayland-protocols (>= 1.7.0~),
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
                qt6-wayland-dev (>= 6.7.0~),
                wayland-protocols (>= 1.25~),
 Standards-Version: 4.7.0

## xdg-desktop-portal-kde 6.3.3

=== debian/changelog ===
xdg-desktop-portal-kde (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:27:20 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
-               kwayland-dev (>= 4:6.3.2~),
+               kwayland-dev (>= 4:6.3.3~),
                libcups2-dev,
                libkf6config-dev (>= 6.10.0~),
                libkf6coreaddons-dev (>= 6.10.0~),

## xdg-desktop-portal-kde 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,12 @@
 
 set(CMAKE_C_STANDARD 99)
 
-set(PROJECT_VERSION "6.3.2")
+set(PROJECT_VERSION "6.3.4")
 set(PROJECT_VERSION_MAJOR 6)
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.3.2")
+set(PROJECT_DEP_VERSION "6.3.4")
 set(QT_MIN_VERSION "6.7.0")
 set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== src/CMakeLists.txt ===

add_definitions(-DTRANSLATION_DOMAIN="xdg-desktop-portal-kde")

add_subdirectory(kirigami-filepicker)

add_executable(xdg-desktop-portal-kde)

set(xdg_desktop_portal_kde_SRCS
    access.cpp
    accessdialog.cpp
    accessdialog.h
    access.h
    account.cpp
    account.h
    appchooser.cpp
    appchooserdialog.cpp
    appchooserdialog.h
    appchooser.h
    background.cpp
    background.h
    dbushelpers.cpp dbushelpers.h
    desktopportal.cpp
    desktopportal.h
    email.cpp
    email.h
    filechooser.cpp
    filechooser.h
    globalshortcuts.cpp globalshortcuts.h
    inhibit.cpp
    inhibit.h
    inputcapture.cpp
    inputcapturebarrier.cpp
    inputcapturedialog.cpp
    notification.cpp
    notification.h
    notificationinhibition.cpp
    notificationinhibition.h
    outputsmodel.cpp outputsmodel.h
    print.cpp
    print.h
    quickdialog.cpp quickdialog.h
    remotedesktop.cpp
    remotedesktopdialog.cpp
    remotedesktopdialog.h
    remotedesktop.h
    restoredata.h
    restoredata.cpp
    request.cpp
    request.h
    screencast.cpp
    screencast.h
    screencasting.cpp
    screencasting.h
    screenchooserdialog.cpp
    screenchooserdialog.h
    screenshot.cpp
    screenshotdialog.cpp
    screenshotdialog.h
    screenshot.h
    session.cpp
    session.h
    settings.cpp
    settings.h
    userinfodialog.cpp
    userinfodialog.h
    utils.cpp
    utils.h
    waylandintegration.cpp
    waylandintegration.h
    waylandintegration_p.h
    xdg-desktop-portal-kde.cpp
    resources.qrc
    portalicon.cpp portalicon.h
    dynamiclauncher.cpp dynamiclauncher.h
    dynamiclauncherdialog.cpp dynamiclauncherdialog.h
    xdgshortcut.cpp xdgshortcut.h
    region-select/SelectionEditor.h
    region-select/SelectionEditor.cpp
)

ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeBackground"
    CATEGORY_NAME "xdp-kde-background"
    HEADER background_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Background"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeNotificationInhibition"
    CATEGORY_NAME "xdp-kde-notificationinhibition"
    HEADER notificationinhibition_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Notification Inhibition"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeAccess"
    CATEGORY_NAME "xdp-kde-access"
    HEADER access_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Access"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeAccount"
    CATEGORY_NAME "xdp-kde-account"
    HEADER account_debug.h)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeSettings"
    CATEGORY_NAME "xdp-kde-settings"
    HEADER settings_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Settings"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeAppChooser"
    CATEGORY_NAME "xdp-kde-app-chooser"
    HEADER appchooser_debug.h
    DESCRIPTION "XDG Desktop Portal KDE App Chooser"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeDesktopPortal"
    CATEGORY_NAME "xdp-kde-desktop-portal"
    HEADER desktopportal_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Desktop Portal"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeDynamicLauncher"
    CATEGORY_NAME "xdp-kde-dynamic-launcher"
    HEADER dynamiclauncher_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Dynamic Launcher"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeDynamicLauncherDialog"
    CATEGORY_NAME "xdp-kde-dynamic-launcher-dialog"
    HEADER dynamiclauncherdialog_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Dynamic Launcher Dialog"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeEmail"
    CATEGORY_NAME "xdp-kde-email"
    HEADER email_debug.h
    DESCRIPTION "XDG Desktop Portal KDE e-mail"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeFileChooser"
    CATEGORY_NAME "xdp-kde-file-chooser"
    HEADER filechooser_debug.h
    DESCRIPTION "XDG Desktop Portal KDE File Chooser"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeInhibit"
    CATEGORY_NAME "xdp-kde-inhibit"
    HEADER inhibit_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Inhibit"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeNotification"
    CATEGORY_NAME "xdp-kde-notification"
    HEADER notification_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Notification"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdePrint"
    CATEGORY_NAME "xdp-kde-print"
    HEADER print_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Print"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeRemoteDesktop"
    CATEGORY_NAME "xdp-kde-remotedesktop"
    HEADER remotedesktop_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Remote Desktop"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeRemoteDesktopDialog"
    CATEGORY_NAME "xdp-kde-remote-desktop-dialog"
    HEADER remotedesktopdialog_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Remote Desktop Dialog"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgRequestKdeRequest"
    CATEGORY_NAME "xdp-kde-request"
    HEADER request_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Request"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeScreenCast"
    CATEGORY_NAME "xdp-kde-screencast"
    HEADER screencast_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Screencast"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeScreenshot"
    CATEGORY_NAME "xdp-kde-screenshot"
    HEADER screenshot_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Screenshot"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeScreenshotDialog"
    CATEGORY_NAME "xdp-kde-screenshot-dialog"
    HEADER screenshotdialog_debug.h)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgSessionKdeSession"
    CATEGORY_NAME "xdp-kde-session"
    HEADER session_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Session"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKde"
    CATEGORY_NAME "xdp-kde"
    HEADER debug.h
    DESCRIPTION "XDG Desktop Portal KDE Generic"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeWaylandIntegration"
    CATEGORY_NAME "xdp-kde-wayland-integration"
    HEADER waylandintegration_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Wayland"
    EXPORT XDPKDE
)
ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeAccessDialog"
    CATEGORY_NAME "xdp-kde-access-dialog"
    HEADER accessdialog_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Access Dialog"
    EXPORT XDPKDE
)

ecm_qt_declare_logging_category(xdg_desktop_portal_kde_SRCS
    IDENTIFIER "XdgDesktopPortalKdeInputCapture"
    CATEGORY_NAME "xdp-kde-inputcapture"
    HEADER inputcapture_debug.h
    DESCRIPTION "XDG Desktop Portal KDE Input Capture"
    EXPORT XDPKDE
)

set(kglobalaccel_xml ${KGLOBALACCEL_DBUS_INTERFACES_DIR}/kf6_org.kde.KGlobalAccel.xml)
set_source_files_properties(${kglobalaccel_xml} PROPERTIES
    INCLUDE "kglobalaccel.h"
    NO_NAMESPACE TRUE
    CLASSNAME "KGlobalAccelInterface"
)
qt_add_dbus_interface(xdg_desktop_portal_kde_SRCS ${kglobalaccel_xml} kglobalaccel_interface)

set(kglobalaccel_component_xml ${KGLOBALACCEL_DBUS_INTERFACES_DIR}/kf6_org.kde.kglobalaccel.Component.xml)
set_source_files_properties(${kglobalaccel_component_xml} PROPERTIES
    INCLUDE "kglobalshortcutinfo.h"
    NO_NAMESPACE TRUE
    CLASSNAME "KGlobalAccelComponentInterface"
)
qt_add_dbus_interface(xdg_desktop_portal_kde_SRCS ${kglobalaccel_component_xml} kglobalaccel_component_interface)

qt_add_dbus_interface(xdg_desktop_portal_kde_SRCS org.kde.KWin.TabletModeManager.xml tabletmodemanager_interface)
qt_add_dbus_interface(xdg_desktop_portal_kde_SRCS org.kde.KWin.VirtualKeyboard.xml virtualkeyboard_interface)

if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
    set(private_code_option  "PRIVATE_CODE")
endif()
qt6_generate_wayland_protocol_client_sources(xdg-desktop-portal-kde
    ${private_code_option} 
    FILES
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/zkde-screencast-unstable-v1.xml
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/fake-input.xml
        ${Wayland_DATADIR}/wayland.xml
)


set_source_files_properties(../data/org.freedesktop.Accounts.User.xml PROPERTIES NO_NAMESPACE TRUE)
qt_add_dbus_interface(xdg_desktop_portal_kde_SRCS ../data/org.freedesktop.Accounts.User.xml user_interface)

set_source_files_properties(../data/org.freedesktop.portal.Documents.xml PROPERTIES NO_NAMESPACE TRUE)
qt_add_dbus_interface(xdg_desktop_portal_kde_SRCS ../data/org.freedesktop.portal.Documents.xml documents_interface)

set_source_files_properties(../data/org.kde.KIOFuse.VFS.xml PROPERTIES NO_NAMESPACE TRUE)
qt_add_dbus_interface(xdg_desktop_portal_kde_SRCS ../data/org.kde.KIOFuse.VFS.xml fuse_interface)

qt_add_dbus_interface(xdg_desktop_portal_kde_SRCS ../data/org.freedesktop.Application.xml fdo_application_interface)

set_source_files_properties(../data/org.freedesktop.impl.portal.PermissionStore.xml PROPERTIES NO_NAMESPACE TRUE INCLUDE "dbushelpers.h")
qt_add_dbus_interface(xdg_desktop_portal_kde_SRCS ../data/org.freedesktop.impl.portal.PermissionStore.xml permission_store)

target_sources(xdg-desktop-portal-kde PRIVATE ${xdg_desktop_portal_kde_SRCS})

target_link_libraries(xdg-desktop-portal-kde
    Qt::Core
    Qt::GuiPrivate
    Qt::DBus
    Qt::Concurrent
    Qt::PrintSupport
    Qt::QuickWidgets
    Qt::Widgets
    Qt::WaylandClient
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::GlobalAccel
    KF6::GuiAddons
    KF6::I18n
    KF6::KIOFileWidgets
    KF6::Notifications
    KF6::Service
    Plasma::KWaylandClient
    KF6::WidgetsAddons
    KF6::WindowSystem
    KF6::IconThemes
    KF6::StatusNotifierItem
    KF6::Crash
    KirigamiFilepicker
    Wayland::Client
    PkgConfig::XKB
)
target_link_libraries(xdg-desktop-portal-kde Qt::PrintSupportPrivate Qt::GuiPrivate)

install(TARGETS xdg-desktop-portal-kde DESTINATION ${KDE_INSTALL_LIBEXECDIR})

install(FILES
    xdg-desktop-portal-kde.notifyrc
    DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

ecm_qt_install_logging_categories(EXPORT XDPKDE FILE xdp-kde.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

=== debian/changelog ===
xdg-desktop-portal-kde (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 09:00:17 +0100

xdg-desktop-portal-kde (6.3.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:13:26 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.10.0~),
                gettext,
-               kwayland-dev (>= 4:6.3.3~),
+               kwayland-dev (>= 4:6.3.4~),
                libcups2-dev,
                libkf6config-dev (>= 6.10.0~),
                libkf6coreaddons-dev (>= 6.10.0~),

## xdg-desktop-portal-kde 6.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,12 @@
 
 set(CMAKE_C_STANDARD 99)
 
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.3.5")
 set(PROJECT_VERSION_MAJOR 6)
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.3.4")
+set(PROJECT_DEP_VERSION "6.3.5")
 set(QT_MIN_VERSION "6.7.0")
 set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
xdg-desktop-portal-kde (6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.5 packages that have actual code changes.
  * Backport upstream commits:
    - Fix notifications created by apps using the Notifications portal that
    specify something to happen when clicked to actually perform that action.
    (kde#501244)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:40 +0200

xdg-desktop-portal-kde (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:01:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: xdg-desktop-portal-kde
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                kwayland-dev (>= 4:6.3.4~),
@@ -34,10 +33,10 @@
                qt6-declarative-dev (>= 6.7.0~),
                qt6-wayland-dev (>= 6.7.0~),
                wayland-protocols (>= 1.25~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/xdg-desktop-portal-kde
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde.git
 Rules-Requires-Root: no
 
 Package: xdg-desktop-portal-kde

## xdg-desktop-portal-kde 6.4.2

=== debian/changelog ===
xdg-desktop-portal-kde (6.4.2-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 13:37:22 +0000

xdg-desktop-portal-kde (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:48:24 +0000

xdg-desktop-portal-kde (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:58:33 +0000

xdg-desktop-portal-kde (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:35:56 +0000

xdg-desktop-portal-kde (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:06:51 +0000

xdg-desktop-portal-kde (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:20:57 +0000

xdg-desktop-portal-kde (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:17:06 +0000

xdg-desktop-portal-kde (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:18:39 +0000

xdg-desktop-portal-kde (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 15:04:12 +0000

xdg-desktop-portal-kde (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:37:30 +0000

xdg-desktop-portal-kde (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:09:57 +0000

xdg-desktop-portal-kde (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:42:34 +0000

xdg-desktop-portal-kde (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:21:22 +0000

xdg-desktop-portal-kde (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:13:31 +0000

xdg-desktop-portal-kde (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:23:39 +0000

xdg-desktop-portal-kde (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 14:28:24 +0000

xdg-desktop-portal-kde (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:19:45 +0000

xdg-desktop-portal-kde (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:37:00 +0000

xdg-desktop-portal-kde (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:13:56 +0000

xdg-desktop-portal-kde (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:47:22 +0000

xdg-desktop-portal-kde (6.0.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:28:26 +0000

xdg-desktop-portal-kde (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:24:25 +0000

xdg-desktop-portal-kde (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:55:07 +0000

xdg-desktop-portal-kde (6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2024 00:20:31 +0000

xdg-desktop-portal-kde (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:27:15 +0000

xdg-desktop-portal-kde (5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:15:38 +1000

xdg-desktop-portal-kde (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:56:24 +0000

xdg-desktop-portal-kde (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:05:12 +0000

xdg-desktop-portal-kde (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 16:13:25 +0000

xdg-desktop-portal-kde (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:14:32 +0000

xdg-desktop-portal-kde (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:41:49 +0000

xdg-desktop-portal-kde (5.27.4.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Apr 2023 09:42:03 +0000

xdg-desktop-portal-kde (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:37:45 +0000

xdg-desktop-portal-kde (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:17:57 +0000

xdg-desktop-portal-kde (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:10:27 +0000

xdg-desktop-portal-kde (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:39:51 +0000

xdg-desktop-portal-kde (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:33:48 +0000

xdg-desktop-portal-kde (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:51:50 +0000

xdg-desktop-portal-kde (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:50:26 +0000

xdg-desktop-portal-kde (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:27:14 +0000

xdg-desktop-portal-kde (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 10:07:02 +0000

xdg-desktop-portal-kde (5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:47:11 +0000

xdg-desktop-portal-kde (5.25.4-0neon) focal; urgency=medium

  * New release



## xdg-desktop-portal-kde 6.4.3

=== debian/changelog ===
xdg-desktop-portal-kde (6.4.3-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 14:04:46 +0000

xdg-desktop-portal-kde (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:17:34 +0000

## xdg-desktop-portal-kde 6.4.4

=== debian/changelog ===
xdg-desktop-portal-kde (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:32:44 +0100

xdg-desktop-portal-kde (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:37:42 +0100

=== debian/control ===
Source: xdg-desktop-portal-kde
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               kwayland-dev (>= 4:6.4.4~),
               libcups2-dev,
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6globalaccel-dev (>= 6.14.0~),
               libkf6guiaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6statusnotifieritem-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libkirigami-dev (>= 6.14.0~),
               libwayland-dev (>= 1.15~),
               plasma-wayland-protocols (>= 1.7.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-wayland-dev (>= 6.8.0~),
               wayland-protocols (>= 1.25~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/xdg-desktop-portal-kde
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
Rules-Requires-Root: no

Package: xdg-desktop-portal-kde
Architecture: any
Multi-Arch: foreign
Depends: kio-fuse,
         qml6-module-org-kde-iconthemes,
         xdg-desktop-portal,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: xdg-desktop-portal-backend,
Description: backend implementation for xdg-desktop-portal using Qt
 xdg-desktop-portal-kde provides a Qt implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using KDE
 GUIs (app chooser, file chooser, print dialog) or using KDE services
 (session manager, screenshot provider).

## xdg-desktop-portal-kde 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,15 +2,14 @@
 
 set(CMAKE_C_STANDARD 99)
 
-set(PROJECT_VERSION "6.3.5")
-set(PROJECT_VERSION_MAJOR 6)
+set(PROJECT_VERSION "6.4.5")
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.3.5")
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
-set(KDE_COMPILERSETTINGS_LEVEL "5.82")
+set(PROJECT_DEP_VERSION "6.4.5")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
+set(KDE_COMPILERSETTINGS_LEVEL "6.10.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
@@ -46,6 +45,11 @@
     Test
 )
 find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS WaylandClient)
+
+if (Qt6_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+    find_package(Qt6PrintSupportPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+endif()
 
 find_package(KF6 ${KF6_MIN_VERSION} REQUIRED
     CoreAddons

=== src/kirigami-filepicker/CMakeLists.txt ===
set(filepicker_lib_SRCS
    api/mobilefiledialog.cpp
    api/mobilefiledialog.h
    declarative/dirmodel.cpp
    declarative/dirmodel.h
    declarative/dirmodelutils.cpp
    declarative/dirmodelutils.h
    declarative/filechooserqmlcallback.cpp
    declarative/filechooserqmlcallback.h
    declarative/fileplacesmodel.cpp
    declarative/fileplacesmodel.h
    declarative/filepicker.qrc
)

ecm_qt_declare_logging_category(filepicker_lib_SRCS
    IDENTIFIER "KirigamiFilepicker"
    CATEGORY_NAME "xdp-kde-file-chooser"
    HEADER mobilefiledialog_debug.h)

add_library(KirigamiFilepicker STATIC ${filepicker_lib_SRCS})
target_include_directories(KirigamiFilepicker PRIVATE declarative)
target_link_libraries(KirigamiFilepicker
    Qt::Quick
    Qt::Qml
    KF6::I18n
    KF6::KIOCore
    KF6::KIOFileWidgets
)
target_include_directories(KirigamiFilepicker PUBLIC api)

=== debian/changelog ===
xdg-desktop-portal-kde (6.4.5-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Sep 2025 06:35:41 +0100

xdg-desktop-portal-kde (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:05:11 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.14.0~),
                gettext,
-               kwayland-dev (>= 4:6.4.4~),
+               kwayland-dev (>= 4:6.4.5~),
                libcups2-dev,
                libkf6config-dev (>= 6.14.0~),
                libkf6coreaddons-dev (>= 6.14.0~),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
	:

## xdg-desktop-portal-kde 6.4.5+p24.04+vstable+git20250928.0635

=== debian/changelog ===
xdg-desktop-portal-kde (6.4.5+p24.04+vstable+git20250928.0635-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 06:35:39 +0000

xdg-desktop-portal-kde (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:44:57 +0000

xdg-desktop-portal-kde (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:27:46 +0000

## xdg-desktop-portal-kde 6.4.5+p24.04+vstable+git20251004.0606

=== debian/changelog ===
xdg-desktop-portal-kde (6.4.5+p24.04+vstable+git20251004.0606-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 06:06:10 +0000

## xdg-desktop-portal-kde 6.4.5+p24.04+vstable+git20251015.1223

=== debian/changelog ===
xdg-desktop-portal-kde (6.4.5+p24.04+vstable+git20251015.1223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:23:37 +0000

## xdg-desktop-portal-kde 6.4.5+p24.04+vstable+git20251019.0340

=== debian/changelog ===
xdg-desktop-portal-kde (6.4.5+p24.04+vstable+git20251019.0340-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:40:43 +0000

## xdg-desktop-portal-kde 6.4.91

=== debian/changelog ===
xdg-desktop-portal-kde (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Reenable build-time test suite.
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:23:23 +0200

=== debian/control ===
Source: xdg-desktop-portal-kde
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               dbus-x11 <!nocheck>,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               kwayland-dev (>= 4:6.4.91~),
               libcups2-dev,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libwayland-dev (>= 1.15~),
               plasma-wayland-protocols (>= 1.7.0~),
               python3-gi <!nocheck>,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               wayland-protocols (>= 1.25~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/xdg-desktop-portal-kde
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde.git

Package: xdg-desktop-portal-kde
Architecture: any
Multi-Arch: foreign
Depends: kio-fuse,
         plasma-workspace,
         qml6-module-org-kde-iconthemes,
         xdg-desktop-portal,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: xdg-desktop-portal-backend,
Description: backend implementation for xdg-desktop-portal using Qt
 xdg-desktop-portal-kde provides a Qt implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using KDE
 GUIs (app chooser, file chooser, print dialog) or using KDE services
 (session manager, screenshot provider).

## xdg-desktop-portal-kde 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,13 @@
 
 set(CMAKE_C_STANDARD 99)
 
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.5.0")
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.4.5")
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(PROJECT_DEP_VERSION "6.5.0")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.10.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -30,6 +30,7 @@
 include(ECMFindQmlModule)
 include(ECMDeprecationSettings)
 include(FeatureSummary)
+include(ECMQmlModule)
 
 find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Core

=== debian/changelog ===
xdg-desktop-portal-kde (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:59:40 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dbus-x11 <!nocheck>,
                extra-cmake-modules (>= 6.18.0~),
                gettext,
-               kwayland-dev (>= 4:6.4.91~),
+               kwayland-dev (>= 4:6.5.0~),
                libcups2-dev,
                libkf6config-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	dh $@
 
 override_dh_auto_test:
-	:
+	xvfb-run -a -- dh_auto_test -Skf6

## xdg-desktop-portal-kde 6.5.0+p24.04+vstable+git20251024.0243

=== debian/changelog ===
xdg-desktop-portal-kde (6.5.0+p24.04+vstable+git20251024.0243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:43:48 +0000

xdg-desktop-portal-kde (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:40:00 +0000

=== debian/control ===
Source: xdg-desktop-portal-kde
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               dbus-x11,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kwayland-dev,
               libcups2-dev,
               libegl1-mesa-dev,
               libepoxy-dev,
               libgbm-dev,
               libpipewire-0.3-dev,
               libplasma-dev,
               libwayland-dev,
               libxkbcommon-dev,
               pkg-kde-tools-neon,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-wayland-dev,
               qt6-wayland-dev-tools,
               wayland-protocols
Standards-Version: 4.6.2
Homepage: https://cgit.kde.org/xdg-desktop-portal-kde.git/
Vcs-Git: https://invent.kde.org/neon/kde/xdg-desktop-portal-kde.git
Vcs-Browser: https://invent.kde.org/neon/kde/xdg-desktop-portal-kde
Maintainer: Neon CI <neon@kde.org>

Package: xdg-desktop-portal-kde
Architecture: any
Depends: kf6-kirigami2,
         kf6-plasma-framework,
         pipewire,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         xdg-desktop-portal,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: xdg-desktop-portal-backend
Description: backend implementation for xdg-desktop-portal using Qt
 xdg-desktop-portal-kde provides a Qt implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using KDE
 GUIs (app chooser, file chooser, print dialog) or using KDE services
 (session manager, screenshot provider).
